.border-button {
	width: auto;
	display: inline-block;
	padding: 1px;
	outline: none;
	color: #1D1D1B;
	font-weight: 700;
	text-align: center;
	font-size: 1.2rem;
	line-height: 1.6rem;
	border-radius: 20px;
	position: relative;
	cursor: pointer;
	background: #FAFAFA;
	text-decoration: none;
	white-space: nowrap;
	border: 1px solid #E8EBF0;

	span {
		z-index: 10;
		display: block;
		padding: 10px 5px;
		position: relative;
		border-radius: 18px;
		background: #FAFAFA;
	}

	&::before {
		top: -1px;
		left: -1px;
		right: -1px;
		bottom: -1px;
		z-index: 1;
		content: '';
		opacity: 0;
		visibility: hidden;
		display: block;
		position: absolute;
		border-radius: 20px;
		background: rgb(236,10,21);
		background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
	}

	&.active,
	&:hover {

		&::before {
			opacity: 1;
			visibility: visible;
		}
	}
}

.nav-collapse {
	z-index: 500;
	margin-bottom: 40px;
	position: relative;
	display: flex;
	align-items: center;

	&__menu {
		margin: 0;
		padding: 0;
		font-size: 0;
		line-height: 0;
		list-style: none;
		display: flex;
		align-items: center;
		flex-grow: 1;

		li {
			padding-right: 12px;
			display: inline-block;

			a {
				width: auto;
				height: 40px;
				display: inline-block;
				padding: 1px;
				outline: none;
				color: #1D1D1B;
				font-weight: 700;
				text-align: center;
				border-radius: 20px;
				position: relative;
				cursor: pointer;
				background: #FAFAFA;
				text-decoration: none;
				white-space: nowrap;
				border: 1px solid #E8EBF0;

				span {
					z-index: 10;
					display: block;
					height: 36px;
					font-size: 1.2rem;
					line-height: 1.6rem;
					padding: 10px 15px;
					position: relative;
					border-radius: 18px;
					background: #FAFAFA;
				}

				&::before {
					top: -1px;
					left: -1px;
					right: -1px;
					bottom: -1px;
					z-index: 1;
					content: '';
					opacity: 0;
					visibility: hidden;
					display: block;
					position: absolute;
					border-radius: 20px;
					background: rgb(236,10,21);
					background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
				}

				&.active,
				&:hover {

					&::before {
						opacity: 1;
						visibility: visible;
					}
				}
			}
		}
	}

	&__toggle {
		display: inline-block;
		position: relative;
	}

	&__button {
		margin: 0;
		height: 40px;
		padding: 10px 25px;
		outline: none;
		font-weight: 700;
		font-size: 1.2rem;
		line-height: 2rem;
		cursor: pointer;
		position: relative;
		display: flex;
		color: $color-base;
		align-items: center;
		outline: 0;
		text-align: center;
		border-radius: 20px;
		background: #fafafa;
		text-decoration: none;
		white-space: nowrap;
		border: 1px solid #e8ebf0;

		span {
			white-space: nowrap;
			display: inline-block;
		}

		i {
			font-size: 0;
			line-height: 0;
			height: 14px;
			margin-left: 4px;
			display: inline-block;
		}
	}

	&__hidden {
		height: 78%;
		left: 12px;
		right: 12px;
		bottom: 0;
		padding: 0;
		opacity: 0;
		z-index: 3000;
		border-radius: 5px 5px 0 0;
		visibility: hidden;
		background: $white;
		box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.12);
		list-style: none;
		position: fixed;
		transition: .3s;

		&.open {
			opacity: 1;
			visibility: visible;
			transition: .3s;
		}

		&--header {
			z-index: 10;
			background: #fff;
			padding: 20px 24px;
			font-size: 1.8rem;
			line-height: 2rem;
			font-weight: 700;
			border-radius: 5px 5px 0 0;
		}

		&--content {
			z-index: 1;
			position: relative;
			overflow-y: auto;
			height: calc(100% - 60px);
		}

		&--close {
			top: 18px;
			right: 18px;
			z-index: 100;
			width: 24px;
			height: 24px;
			display: block;
			font-size: 0;
			line-height: 0;
			cursor: pointer;
			position: absolute;

			&:after,
			&:before {
				top: calc(50% - 1px);
				left: calc(50% - 9px);
				width: 18px;
				height: 2px;
				content: '';
				z-index: 10;
				display: block;
				background: #000;
				position: absolute;
				border-radius: 2px;
			}

			&:after {
				transform: rotate(45deg);
			}

			&:before {
				transform: rotate(-45deg);
			}
		}

		&--menu {
			margin: 0;
			padding: 0;
			list-style: none;
			font-size: 1.2rem;
			line-height: 1.6rem;
			font-weight: 700;

			li {
				padding-bottom: 1px;
				position: relative;

				&:before {
					height: 1px;
					left: 24px;
					right: 24px;
					bottom: 0;
					content: '';
					display: block;
					background: #193D6A;
					opacity: 0.3;
					position: absolute;
				}

				&:last-child {
					padding-bottom: 0;

					&:before {
						display: none;
					}
				}

				a {
					z-index: 10;
					color: #1D1D1B;
					position: relative;
					font-weight: 700;
					font-size: 1.2rem;
					line-height: 1.6rem;
					padding: 14px 20px;
					display: block;
					white-space: nowrap;
					text-decoration: none;

					&.active,
					&:hover {
						background: #F1F8FE;
					}
				}

				&:first-child {

					a {
						padding-top: 15px;
					}
				}

				&:last-child {

					a {
						padding-bottom: 15px;
					}
				}
			}
		}
	}

	@media (min-width: $screen-md-min) {

		&__menu {

			li {
				height: 46px;

				a {
					height: 46px;
					border-radius: 23px;

					span {
						height: 42px;
						padding: 13px 25px;
						border-radius: 18px;
					}
				}
			}
		}

		&__hidden {
			bottom: auto;
			min-width: 220px;
			top: calc(100% + 16px);
			right: 0;
			left: auto;
			height: auto;
			position: absolute;
			border-radius: 5px;

			&--header {
				display: none;
			}

			&--close {
				display: none;
			}
		}
	}
}

.sticky {
	position: fixed;
	z-index: 101;

	.sidebar {

	}
}

.stop {
	position: relative !important;
	z-index: 101;

	.sidebar {

	}
}